Summary: OCaml top-level value-hiding extension
Name:    ocaml-tophide
Version: 1.0.1
Release: %mkrel 6
Source0: http://mjambon.com/releases/tophide/tophide-%{version}.tar.gz
Patch0:  tophide-1.0.1.compiler-libs-inc-dir.patch
License: BSD
Group:   Development/OCaml
URL:     https://github.com/mjambon/tophide
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib

%description 
OCaml tophide hides top-level values whose name starts with an
underscore. Primarily for use with Camlp4 syntax extensions.

%prep
%setup -q -n tophide-%{version}
%patch0 -p0

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/tophide
%{_libdir}/ocaml/tophide/META
%{_libdir}/ocaml/tophide/tophide.cmi
%{_libdir}/ocaml/tophide/tophide.cmo


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-6.mga3
+ Revision: 361666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.0.1-5.mga3
+ Revision: 319870
- build requires ocaml-compiler-libs
- patch to add -I +compiler-libs to Makefile
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.1-2.mga3
+ Revision: 300471
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 1.0.1-1.mga3
+ Revision: 286883
- updated to last version 1.0.1
- easier to parse by utils scripts

* Thu Apr 05 2012 malo <malo> 1.0.0-1.mga2
+ Revision: 228767
- imported package ocaml-tophide

